<?php
/**
 * @package         SourceCoast Extensions
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

class SCAdminHelper
{
    static function addAutotuneToolbarItem()
    {
        ToolBarHelper::divider();

        JFBConnectUtilities::loadLanguage('com_jfbconnect');
        $autotuneModel = BaseDatabaseModel::getInstance('AutoTune', 'JFBConnectModel');
        $upToDate = $autotuneModel->isUpToDate();
        $icon = 'options';

        if ($upToDate)
            ToolBarHelper::custom('autotune', $icon, $icon, Text::_('COM_JFBCONNECT_BUTTON_AUTOTUNE'), false);
        else
            ToolBarHelper::custom('autotune', $icon, $icon, Text::_('COM_JFBCONNECT_BUTTON_AUTOTUNE_RECOMMENDED'), false);
    }

    static function getAutotuneControlIconText()
    {
        JFBConnectUtilities::loadLanguage('com_jfbconnect');
        $autotuneModel = BaseDatabaseModel::getInstance('AutoTune', 'JFBConnectModel');
        $upToDate = $autotuneModel->isUpToDate();

        if ($upToDate)
            return Text::_('COM_JFBCONNECT_BUTTON_AUTOTUNE');
        else
            return '<span class="warning">'.Text::_('COM_JFBCONNECT_BUTTON_AUTOTUNE_RECOMMENDED').'</span>';
    }
}