<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$app = Factory::getApplication();
$option = $app->input->getString('option');
$xmlFile = str_replace("com_", "", $option).'.xml';
$xmlElement = simplexml_load_file(JPATH_ADMINISTRATOR.'/components/'.$option.'/'.$xmlFile);
if($xmlElement)
{
    $title = (string) $xmlElement->name;
    $version = (string) $xmlElement->version;
}
?>
<table style="margin-bottom: 5px; padding: 3px; width: 100%; border: 2px solid #BBBBBB; background:#F8F8F8">
    <tbody>
    <tr>
        <td style="text-align: left; width: 30%; padding: 10px 0 0 10px;">
            <a href="http://www.sourcecoast.com" target="_blank"><img src="components/<?php echo $option;?>/assets/footer/SourceCoast_Logo.png" width="250px"/></a>
        </td>
        <td style="text-align: center; width: 39%;">
            <?php echo Text::_($title);?>
				<br/>Copyright: 2010-2021 &copy; <a href="http://www.sourcecoast.com" target="_blank">SourceCoast Web Development</a>
            <br/>
            Version: <?php echo $version;?>
        </td>
        <td style="text-align: right; width: 30%;">
            <a href="https://twitter.com/sourcecoast" class="twitter-follow-button" data-show-count="false">Follow @sourcecoast</a>
            <script>!function (d, s, id)
                {
                    var js, fjs = d.getElementsByTagName(s)[0], p = /^http:/.test(d.location) ? 'http' : 'https';
                    if (!d.getElementById(id))
                    {
                        js = d.createElement(s);
                        js.id = id;
                        js.src = p + '://platform.twitter.com/widgets.js';
                        fjs.parentNode.insertBefore(js, fjs);
                    }
                }(document, 'script', 'twitter-wjs');</script>
            <iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Ffacebook.com%2Fsourcecoast&amp;width=100&amp;height=20&amp;colorscheme=light&amp;layout=button_count&amp;action=like&amp;show_faces=false&amp;send=false&amp;appId=116488908376294"
                    scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:100px; height:20px;"
                    allowTransparency="true"></iframe>

            </p>
            <a href="http://extensions.joomla.org/extensions/extension/social-web/social-display/jfbconnect" target="_blank"><?php echo Text::_('COM_JFBCONNECT_FOOTER_LEAVE_FEEDBACK');?></a>
            <br/>
            <a href="http://www.sourcecoast.com/forums" target="_blank"><?php echo Text::_('COM_JFBCONNECT_FOOTER_SUPPORT_FORUMS');?></a>
        </td>
    </tr>
    </tbody>
</table>
