<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\Controller\BaseController;

jimport('joomla.application.component.controller');
jimport('joomla.application.component.view');

class JFBConnectController extends BaseController
{
    var $view = null;

    function __construct($config = array(), MVCFactoryInterface $factory = null, $app = null, $input = null)
    {
        parent::__construct($config, $factory, $app, $input);

        $input = Factory::getApplication()->input;
        $viewName = $input->getCmd('view', $input->get('controller', ''));

        if (!Factory::getUser()->authorise('core.manage', 'com_jfbconnect'))
        {
            $this->setRedirect('index.php', 'You are not authorized to access the JFBConnect administration area.', 'error');
            $this->redirect();
        }

        // Anyone can access the home page or updates area
        if ($viewName == '' || strtolower($viewName) == "jfbconnect" || strtolower($viewName) == "updates" || strtolower($viewName) == 'ajax')
        {
            if (Factory::getUser()->authorise('core.admin', 'com_jfbconnect'))
                ToolBarHelper::preferences('com_jfbconnect');
        }
        else
        {
            if (!Factory::getUser()->authorise('jfbconnect.' . strtolower($viewName) . '.manage', 'com_jfbconnect'))
            {
                $this->setRedirect('index.php?option=com_jfbconnect', 'You are not authorized to manage this section', 'error');
                $this->redirect();
            }
        }

    }

    function display($cachable = false, $urlparams = false)
    {
        parent::display();
    }

    public function autotune()
    {
        $this->setRedirect('index.php?option=com_jfbconnect&view=autotune');
        $this->redirect();
    }
}