<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */
// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Object\CMSObject;

class JFBConnectControllerCanvas extends JFBConnectController
{
    function apply()
    {
        $input = Factory::getApplication()->input;
        $configs = $input->post->getArray();
        $model = $this->getModel('config');
        $model->saveSettings($configs);
        JFBCFactory::log(Text::_('COM_JFBCONNECT_MSG_SETTINGS_UPDATED'));
        $this->setRedirect('index.php?option=com_jfbconnect&view=canvas');
    }

    public static function setupCanvasProperties()
    {
        $jfbcLibrary = JFBCFactory::provider('facebook');

        $canvasProperties = new CMSObject();
        $appId = $jfbcLibrary->appId;
        if ($appId)
        {
            $params = "?fields=page_tab_default_name,secure_page_tab_url,namespace,website_url";
            $appProps = $jfbcLibrary->api($appId . $params, null, FALSE);

            $canvasProperties->setProperties($appProps);
        }
        return $canvasProperties;
    }

    public static function isCanvasSetupCorrect()
    {
        $canvasProperties = JFBConnectControllerCanvas::setupCanvasProperties();

        $canvasName = $canvasProperties->get('namespace', "");
        $canvasUrl = $canvasProperties->get('canvas_url', '');
        $secureCanvasUrl = $canvasProperties->get('secure_canvas_url', '');

        if (!$canvasName || $canvasUrl == "" || $secureCanvasUrl == "")
        {
            return false;
        }
        else
        {
            return true;
        }
    }

}