<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\Registry\Registry;
use Joomla\CMS\Plugin\PluginHelper;

class JFBConnectControllerProfiles extends JFBConnectController
{
    function apply()
    {
        $app = Factory::getApplication();
        $configs = $app->input->post->getArray();
        $model = JFBCFactory::config();

        PluginHelper::importPlugin('socialprofiles');
        $profilePlugins = $app->triggerEvent('onSocialProfilesGetPlugins');

        foreach ($profilePlugins as $plugin)
        {
            $pluginName = $plugin->getName();
            $settings = new Registry();
            $search = "profiles_" . $pluginName . "_";
            $stdFields = $configs['profiles_' . $pluginName];
            if(is_array($stdFields))
                $settings->loadArray($stdFields);
            foreach ($configs as $key => $value)
            {
                $pos = strpos($key, $search);
                if ($pos === 0)
                {
                    $key = str_replace($search, "", $key);
                    if (strpos($key, "field_map") != false)
                    {
                        $key = str_replace("_field_map", ".", $key);
                        $settings->set('field_map.' . $key, $value);
                    }
                }
            }
            $model->update("profile_" . $pluginName, $settings->toString());
        }

        JFBCFactory::log(Text::_('COM_JFBCONNECT_MSG_SETTINGS_UPDATED'));
        $this->setRedirect('index.php?option=com_jfbconnect&view=profiles');
    }

}