<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;

require_once(JPATH_SITE . '/components/com_jfbconnect/libraries/factory.php');
JFBCFactory::initializeJoomla();

$document = Factory::getApplication()->getDocument();
$document->addStyleSheet("components/com_jfbconnect/assets/css/default.css");
$document->addStyleSheet(Uri::root() . "media/sourcecoast/css/common.css");
if( JVERSION < 4.0)
{
    $document->addStyleSheet(Uri::root() . "media/sourcecoast/css/sc_bootstrap5.css");
    $document->addStyleSheet(Uri::root() . '/media/sourcecoast/css/fontawesome/css/font-awesome.min.css');
}
HTMLHelper::_('jquery.framework');

//jquery needs to be loaded before these
$document->addScript("components/com_jfbconnect/assets/jfbconnect-admin.js?v=8.0");
$document->addScript("components/com_jfbconnect/assets/js/jfbcadmin-template.js");

JFBConnectUtilities::loadLanguage('com_jfbconnect', JPATH_ADMINISTRATOR);

require_once(JPATH_COMPONENT . '/controller.php');

$input = Factory::getApplication()->input;
$task = $input->getCmd('task');

// Slowly update these 'old' admin views to the new style...
$oldStyle = array('ajax', 'autotune', 'canvas', 'config', 'opengraph', 'profiles', 'social', 'usermap');
if (strpos($task, '.') === false &&
    (in_array($input->getCmd('controller', ''), $oldStyle) ||
        in_array($input->getCmd('view', ''), $oldStyle))
)
{
    // Old beatup way. Don't do this anymore
    $view = $input->getCmd('controller', '');
    if ($view == "")
        $view = $input->getCmd('view', '');

    if ($view != '' && $view != "jfbconnect") // Don't do this for the main landing page. Fix this system
    {
        require_once(JPATH_COMPONENT . '/controllers/' . strtolower($view) . '.php');
        $controllerName = $view;
    }
    else
        $controllerName = "";

    $classname = 'JFBConnectController' . ucfirst($controllerName);
    $controller = new $classname();
}
else
    $controller = BaseController::getInstance('jfbconnect');

$controller->execute($input->getCmd('task'));

$controller->redirect();
