<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldChannelAutopostAccesstype extends JFormFieldList
{
    public $type = 'ChannelAutopostObjects';

    protected function getOptions()
    {
        $db = Factory::getDbo();
        $query = $db->getQuery(true)
            ->select($db->quoteName('a.id', 'value') . ', ' . $db->quoteName('a.title', 'text'))
            ->from($db->quoteName('#__viewlevels', 'a'))
            ->where($db->quoteName('id') . '<>' . $db->quote(" 6")) //Super Users
            ->where($db->quoteName('id') . '<>' . $db->quote(" 3")) //Special
            ->group($db->quoteName(array('a.id', 'a.title', 'a.ordering')))
            ->order($db->quoteName('a.ordering') . ' ASC')
            ->order($db->quoteName('title') . ' ASC');

        // Get the options.
        $db->setQuery($query);
        $options = $db->loadObjectList();

        return $options;
    }
}