<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldChannelAutopostPlugins extends JFormFieldList
{
    public $type = 'ChannelAutopostPlugins';

    protected function getOptions()
    {
        $options = array();

        //Add all content from plugins
        $app = Factory::getApplication();
        PluginHelper::importPlugin('opengraph');
        $ogPlugins = $app->triggerEvent('onOpenGraphProfilesGetPlugins');

        $tmp = HTMLHelper::_('select.option', 0, Text::_('COM_JFBCONNECT_CHANNEL_AUTOPOST_SELECT_PLUGIN_DESC'), 'value', 'text');
        $tmp->checked = false;
        $options[] = $tmp;

        foreach ($ogPlugins as $ogPlugin)
        {
            if($ogPlugin->supportedAutopostLabel)
            {
                $tmp = HTMLHelper::_('select.option', $ogPlugin->pluginName, Text::sprintf('COM_JFBCONNECT_CHANNEL_AUTOPOST_ALL_CONTENT_DESC', $ogPlugin->supportedAutopostLabel, $ogPlugin->extensionName), 'value', 'text');
                $tmp->checked = false;
                $options[] = $tmp;
            }
        }

        return $options;
    }
}