<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Plugin\PluginHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldSocialProfileRegistration extends JFormFieldList
{
	public $type = 'SocialProfileRegistration';

	protected function getOptions()
	{
        PluginHelper::importPlugin('socialprofiles');
        $plugins = Factory::getApplication()->triggerEvent('onSocialProfilesGetPlugins');

        $options = array();
        $options[] = HTMLHelper::_('select.option', "jfbconnect", "JFBConnect");
        foreach ($plugins as $p)
        {
            $regUrl = $p->registration_url;
            if ($regUrl)
            {
                $options[] = HTMLHelper::_('select.option', $p->name, $p->displayName);
            }
        }
        return $options;
	}

    protected function getInput()
    {
        if (count($this->getOptions()) == 0)
            return "";

        return parent::getInput();
    }

    protected function getLabel()
    {
        if (count($this->getOptions()) == 0)
            return "<label>There are no Profile Plugins enabled which support Alternative Registration</label>";

        return parent::getLabel();
    }
}
