<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

jimport('joomla.html.sliders');
?>
<style>
    .sourcecoast .autotune input[type='text'] {
        width: 290px;
    }
</style>
<div class="sourcecoast ns-bs5">
    <div class="row">
        <?php include('step_sidebar.php'); ?>
        <div class="col-md-9 mt-2 autotune">
            <form method="post" id="adminForm" name="adminForm">
                <h3><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_BASICINFO_LABEL'); ?></h3>
                <p><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_BASICINFO_DESC'); ?></p>

                <?php
                $providers = JFBCFactory::getAllProviders();
                for ($i=0; $i < count($providers); $i++) :
                    $provider = $providers[$i];
                    if ($i % 2 == 0)
                    {
                        $divOpen = true;
                        echo '<div class="row">';
                    }
                    $pkey = strtoupper($provider->systemName);
                    ?>
                    <fieldset id="fieldset-<?php echo $pkey;?>" class="options-form card col-md-5 mr-2">
                        <!--<div class="col-md-6 well" style="font-size:16px">-->
                        <div>
                            <img src="<?php echo Uri::root() . '/media/sourcecoast/images/provider/' . $provider->systemName . '/icon.png'; ?>" />
                            <?php echo Text::_('COM_JFBCONNECT_CONFIG_'.$pkey.'_API_APP_ID_LABEL'); ?>
                            <span style="font-size:12px">(<?php echo Text::_('COM_JFBCONNECT_CONFIG_'.$pkey.'_APP_SETUP_LINK'); ?>)</span>
                        </div>
                        <div>
                            <input type="text" class="my-2" name="<?php echo $provider->systemName;?>_app_id" size="75" style="font-weight:bold" value="<?php echo $this->config->get($provider->systemName.'_app_id'); ?>" />
                        </div>
                        <div>
                            <?php echo Text::_('COM_JFBCONNECT_CONFIG_'.$pkey.'_API_SECRET_KEY_LABEL'); ?>
                        </div>
                        <div>
                            <input type="text" class="mt-2" name="<?php echo $provider->systemName;?>_secret_key" size="75" style="font-weight:bold" value="<?php echo $this->config->get($provider->systemName.'_secret_key'); ?>" />
                        </div>
                        <!--</div>-->
                    </fieldset>
                    <?php if ($i % 2 == 1)
                {
                    $divOpen = false;
                    echo '</div>';
                }
                endfor;
                if ($divOpen)
                    echo '</div>';
                ?>
                <div class="row">
                    <div class="options-form card col-md-6" style="font-size:16px">
                        <div>
                            <?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_BASICINFO_SC_SUBSCRIBER_ID_LABEL'); ?>
                        </div>
                        <div>
                            <input type="text" name="subscriberId" class="my-2" size="75" style="font-weight:bold" value="<?php echo $this->subscriberId; ?>" />
                        </div>

                        <ul>
                            <li><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_BASICINFO_SC_ID_DESC'); ?></li>
                            <li><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_BASICINFO_SC_ID_DESC2'); ?></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-12" style="text-align:center; font-size:16px">
                    <input type="submit" value="Save" class="btn btn-primary my-2" />
                </div>
                <input type="hidden" name="option" value="com_jfbconnect" />
                <input type="hidden" name="view" value="autotune" />
                <input type="hidden" name="task" value="saveBasicInfo" />
            </form>
        </div>
    </div>
</div>
