<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

if (JVERSION < 4.0)
{
    HTMLHelper::_('behavior.tooltip');
}

$appConfig = $this->appConfig;

$boolOptions = array(
    HTMLHelper::_('select.option', 'enabled', 'Enabled'),
    HTMLHelper::_('select.option', 'disabled', 'Disabled'));
?>
<style>
    div.current select {
        margin:0px;
    }

    .autotune_setting {
        width:200px;
        float:left;
    }

    .autotune_option {
        width:350px;
        float:left;
        padding-right: 5px;
    }

    .autotune_option input {
        width: 300px;
    }

    .autotune_description {
        width:9px;
    }

    .autotune .hasTip {
        background:none;
        color:#000000;
    }
</style>
<div class="sourcecoast ns-bs5">
    <div class="row">
        <?php include('step_sidebar.php'); ?>
        <div class="col-md-9 mt-2 autotune">
            <h3><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_LABEL'); ?></h3>

            <form method="post" id="adminForm" name="adminForm" style="min-width:850px">
                <?php
                if (!isset($appConfig->group))
                {
                    echo '<br/><p style="font-size:14px">'.Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_ERROR_INFO_DESC').'<br/>';
                    echo '<p style="font-size:14px">'.Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_CHECK_SUBSCRIBER_DESC').'<br/><strong>' . $this->subscriberId . '</strong> (<a href="index.php?option=com_jfbconnect&view=autotune&task=basicinfo">'.Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_CHANGE_SUBSCRIBER_LABEL').'</a>)</p>';
                    echo '<p>'.Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_SUBSCRIBER_SUPPORT_DESC').'</p>';
                }
                else
                {
                    echo '<p>' . Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_FB_INFO_DESC') . '</p>';
                    $this->tabsStart('autotuneFacebookTabs', $appConfig->group[0]->name);

                    ?>
                    <?php
                    foreach ($appConfig->group as $group)
                    {
                        $group_name = preg_replace('/\s+/', '', $group->name);

                        $displayName = $group->numRecommendations == 0 ? ucwords($group->name) : ucwords($group->name) . ' (' . $group->numRecommendations . ')';
                        $this->tabStart('autotuneFacebookTabs', $group_name, $displayName);

                        echo '<p>' . $group->description . '</p>';
                        ?>

                        <div class="config_row">
                            <div class="autotune_setting">
                                <strong><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_APPLICATION_SETTING_LABEL'); ?></strong></div>
                            <div class="autotune_option"><strong><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_APP_SETTING_LABEL'); ?></strong>
                            </div>
                            <div class="autotune_option">
                                <strong><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_JFBC_RECOMMENDATION_LABEL'); ?></strong></div>
                            <div style="clear:both"></div>
                        </div>
                        <?php

                        foreach ($group->field as $field)
                        {
                            ?>
                            <div class="config_row">
                                <div class="autotune_setting hasTip" title="<?php echo HTMLHelper::_('tooltipText', $field->description); ?>"><?php echo $field->display ?></div>
                                <?php if ($field->type == 'image')
                                    echo '<div class="autotune_option"><img src="' . $field->value . '" />&nbsp;</div>';
                                else if (isset($field->edit))
                                {
                                    if ($field->type == 'text' || $field->type == 'url')
                                        echo '<div class="autotune_option"><input type="text" name="' . $field->name . '" value="' . $field->value . '" size="45" /></div>';
                                    else if ($field->type == 'array')
                                        echo '<div class="autotune_option"><input type="text" name="' . $field->name . '" value="' . implode(', ', $field->value) . '" size="45" /></div>';
                                    else if ($field->type == "bool")
                                        echo '<div class="autotune_option">' . HTMLHelper::_('select.genericlist', $boolOptions, $field->name, null, 'value', 'text', strtolower($field->value)) . '</div>';
                                }
                                else
                                    echo '<div class="autotune_option">' . $field->value . '&nbsp;</div>';

                                $recStyle = $field->recommendMet ? 'autotuneGood' : 'autotuneBad';
                                ?>
                                <div class="autotune_option <?php echo $recStyle ?>"><?php echo $field->recommend ?>&nbsp;</div>
                                <div style="clear:both">
                                </div>
                            </div>
                            <?php
                        }

                        $this->tabEnd();
                    }
                    $this->tabsEnd();
                    ?>
                    <br />

                    <div style="text-align: center">
                        <input type="button" value="<?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_SAVE_ALL_RECOMMENDATIONS_LABEL');?>" class="btn btn-primary"
                               onclick="Joomla.submitbutton('saveAppRecommendations');" />
                        <input type="submit" value="<?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_SAVE_CUSTOM_SETTINGS_LABEL');?>" class="btn btn-primary" />
                    </div>
                    <br />

                    <p style="text-align:center">
                        <strong><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_FBFETCHED_LABEL') ?></strong><?php echo $this->appConfigUpdated; ?> |
                        <strong><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_SCFETCHED_LABEL'); ?></strong><?php echo $this->fieldsUpdated; ?></p>
                    <br />

                    <p><?php echo Text::_('COM_JFBCONNECT_AUTOTUNE_FBAPP_FBFETCHED_DESC') ?></p>

                    <?php
                } // end of if/else for field descriptors loaded
                ?>
                <input type="hidden" name="option" value="com_jfbconnect" />
                <input type="hidden" name="view" value="autotune" />
                <input type="hidden" name="task" value="saveAppConfig" />
            </form>
        </div>
    </div>
</div>