<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;

jimport('joomla.application.component.view');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewAutotune extends JFBConnectAdminView
{
    var $appConfig;
    var $appConfigUpdated;
    var $fieldsUpdated;
    var $subscriberId;
    var $config;
    var $subStatus;
    var $subStatusUpdated;

    var $autotuneSteps;
    var $JFBCSystemEnabled;
    var $JFBCAuthenticationEnabled;
    var $JFBCContentEnabled;
    var $JFBCUserEnabled;
    var $joomlaErrors;
    var $phpVersion;
    var $curlCheck;
    var $errorsFound;
    var $iframeUrl;

    function display($tpl = null)
    {
        $configModel = JFBCFactory::config();

        if ($this->getLayout() == 'fbapp')
        {
            $appConfig = $this->get('mergedRecommendations');
            $this->appConfig = $appConfig;

            $appConfigUpdated = $configModel->getUpdatedDate('autotune_app_config');
            $fieldsUpdated = $configModel->getUpdatedDate('autotune_field_descriptors');
            $this->appConfigUpdated = $appConfigUpdated;
            $this->fieldsUpdated = $fieldsUpdated;

            $subscriberId = $configModel->get('sc_download_id', 'No ID Set!');
            $this->subscriberId = $subscriberId;
        }

        $this->config = $configModel;
        $this->displaySidebar = false;

        $atModel = $this->getModel('autotune');
        $subStatus = $atModel->getSubscriptionStatus();
        if ($subStatus)
        {
            $subStatus = $subStatus->messages;
            $this->subStatus = $subStatus;

            $subStatusUpdated = $configModel->getUpdatedDate('autotune_authorization');
            $subStatusUpdated = strftime("%Y/%m/%d", strtotime($subStatusUpdated));
            $this->subStatusUpdated = $subStatusUpdated;
            ob_start();
            include('tmpl/subscription_status.php');
            $this->prefooter = ob_get_clean();
        }

        parent::display($tpl);

    }

    function addToolbar()
    {
        ToolBarHelper::title(Text::_('COM_JFBCONNECT_TITLE_AUTOTUNE'), 'jfbconnect.png');
    }
}
