<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$attribsShown = false;
$input = Factory::getApplication()->input;
?>
<div class="sourcecoast channel container ns-bs5">
    <form action="index.php" method="post" name="adminForm" id="adminForm">
        <div class="row">
            <?php
            foreach ($this->form->getFieldsets() as $fiedsets => $fieldset)
            {
                if ($fieldset->name == 'attribs')
                {
                    $attribsShown = true;

                    echo '</div>'; // End the previous row
                    echo '<div class="row">';
                    echo '<div class="col-md-12">' . "\n";

                    echo '<fieldset id="attributes" class="options-form card">' . "\n";
                    echo '<legend>' . Text::_('COM_JFBCONNECT_CHANNEL_EDIT_ATTRIBUTES') . "</legend>\n";
                    echo '<div id="user-selection" >' . "\n";
                    echo $this->displayUserSelection();
                    echo "</div>\n"; // end user-selection
                    echo '<div id="channel-attribs" >' . "\n";
                    echo $this->displayAttributes();
                    echo "</div>\n"; // end channel-attribs
                    echo '</fieldset>'; // end attributes

                    echo '<div class="row">';
                    echo '<div class="col-md-12">' . "\n";
                    echo '<fieldset id="channel-test" class="options-form card">' . "\n";
                    echo '<legend>' . Text::_('COM_JFBCONNECT_CHANNEL_EDIT_STREAM') . "</legend>\n";
                    echo $this->displayTest();
                    echo "</fieldset>\n";
                    echo "</div>";
                }
                else if ($fieldset->name != "autopost" && $fieldset->name != "access")
                {
                    echo '<div class="col-md-6">' . "\n";
                    echo "<fieldset class=\"options-form card\">\n";
                    echo '<legend>' . Text::_(strtoupper($this->form->getName()) . '_MENU_' . strtoupper($fieldset->name)) . "</legend>\n";
                    foreach ($this->form->getFieldset($fieldset->name) as $field)
                        $this->formShowField($field);
                    echo "</fieldset>\n";
                    echo "</div>\n";
                }
            }
            if (!$attribsShown)
            {
            ?>
        </div>

        <div class="row">
            <div class="col-md-12">
                <legend><?php echo Text::_('COM_JFBCONNECT_CHANNEL_EDIT_ATTRIBUTES'); ?></legend>
                <div id="channel-attribs" class="options-form card p-2 mb-2">
                    <?php echo Text::_('COM_JFBCONNECT_CHANNEL_EDIT_ATTRIBUTES_DESC');?>
                </div>
            </div>
            <?php
            }
            ?>
        </div>

        <input type="hidden" name="option" value="com_jfbconnect" />
        <input type="hidden" name="view" value="channel" />
        <input type="hidden" name="task" value="<?php echo $input->get('task'); ?>" />
        <input type="hidden" name="id" value="<?php echo $input->get('id'); ?>" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>
</div>
