<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;

JFBConnectUtilities::loadLanguage('com_jfbconnect', JPATH_SITE);
$app = Factory::getApplication();
$filter_search = $app->getUserStateFromRequest('com_jfbconnect.activity.search', 'search', '', 'string');
?>
<div class="sourcecoast ns-bs5">
    <div class="col-md-12">
        <div id="filter-bar">
            <div class="filter-search mb-2">
                <div class="btn-group">
                    <input type="text" name="search" id="search" value="<?php echo $filter_search; ?>"
                           class="filter-search btn-group"
                           title="<?php echo Text::_('COM_JFBCONNECT_FILTER'); ?>"
                           placeholder="<?php echo Text::_('COM_JFBCONNECT_FILTER'); ?>" />

                    <div class="btn-group">
                        <button class="btn btn-primary" id="jfbcSubmitButton" title="<?php echo Text::_('COM_JFBCONNECT_BUTTON_GO'); ?>" onclick="jfbcJQuery('#filter_search').val(jfbcJQuery('#search').val());document.adminForm.submit();">
                            <span class="icon-search"></span>
                        </button>
                        <?php
                        $resetJavascript = "document.getElementById('search').value='';";
                        $resetJavascript .= "document.getElementById('filter_search').value='';";
                        $resetJavascript .= "document.getElementById('filter_provider').value='';";
                        $resetJavascript .= "document.getElementById('filter_provider').selected='';";
                        $resetJavascript .= "document.getElementById('filter_type').value='-1';";
                        $resetJavascript .= "document.getElementById('filter_type').selected='-1';";
                        $resetJavascript .= "document.adminForm.submit();";
                        ?>
                        <button class="btn btn-secondary" id="jfbcResetButton" title="<?php echo Text::_('COM_JFBCONNECT_BUTTON_RESET'); ?>"
                                onclick="<?php echo $resetJavascript; ?>">
                            <span class="icon-remove"></span>
                        </button>
                    </div>
                </div>
                <div class="filter-select">
                    <?php $filter_provider = Factory::getApplication()->getUserStateFromRequest('com_jfbconnect.activity.provider', 'provider', '', 'string');?>
                    <?php if(count($this->providers)):?>
                        <select onchange="jfbcJQuery('#filter_provider').val(jfbcJQuery(this).val());document.adminForm.submit();" name="provider" id="provider" class="custom-select ml-2">
                            <option <?php echo $filter_provider == '' ? 'selected="selected"' : ''; ?> value=""><?php echo Text::_('COM_JFBCONNECT_CHANNEL_ACTIVITY_SELECT_PROVIDER');?></option>
                            <?php foreach($this->providers as $provider):?>
                                <option <?php echo $filter_provider == $provider ? 'selected="selected"' : ''; ?> value="<?php echo $provider;?>"><?php echo ucfirst($provider);?></option>
                            <?php endforeach;?>
                        </select>
                    <?php endif;?>

                    <?php $filter_type = Factory::getApplication()->getUserStateFromRequest('com_jfbconnect.activity.type', 'type', -1, 'int');?>
                    <select onchange="jfbcJQuery('#filter_type').val(jfbcJQuery(this).val());document.adminForm.submit();" name="type" id="type" class="custom-select ml-2">
                        <option <?php echo $filter_type == '-1' || $filter_type == '' ? 'selected="selected"' : ''; ?> value="-1"><?php echo Text::_('COM_JFBCONNECT_CHANNEL_ACTIVITY_SELECT_TYPE');?></option>
                        <option <?php echo $filter_type == '1' ? 'selected="selected"' : ''; ?> value="1"><?php echo Text::_('COM_JFBCONNECT_POST_TYPE_AUTOPOST_OPTION');?></option>
                        <option <?php echo $filter_type == '0' ? 'selected="selected"' : ''; ?> value="0"><?php echo Text::_('COM_JFBCONNECT_POST_TYPE_MANUAL_OPTION');?></option>
                    </select>
                </div>
            </div>
        </div>
        <div class="sourcecoast ns-bs5">
            <form action="index.php?option=com_jfbconnect&view=channels&layout=activity" method="post" name="adminForm" id="adminForm">
                <div class="row">
                    <div class="col-md-12">
                        <table class="table itemList">
                            <thead>
                            <tr>
                                <th width="20" class="w-1 text-center">
                                    <?php
                                    echo HTMLHelper::_('grid.checkall');
                                    ?>
                                </th>

                                <th><?php echo Text::_('COM_JFBCONNECT_POST_TYPE_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_URL_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_CHANNEL_PROVIDER_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_CHANNEL_TYPE_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_EXT_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_LAYOUT_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_ITEMID_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_STATUS_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_RESPONSE_LABEL'); ?></th>
                                <th><?php echo Text::_('COM_JFBCONNECT_POST_CREATED_LABEL'); ?></th>
                                <th class="title"><?php echo Text::_('COM_JFBCONNECT_POST_ID_LABEL') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            $key = 0;
                            if ($this->posts && count($this->posts) > 0)
                            {
                                foreach ($this->posts as $post) :
                                    $key++;
                                    ?>
                                    <tr class="row<?php echo($key % 2); ?>">
                                        <td><?php echo $checked = HTMLHelper::_('grid.id', $key, $post->id); ?></td>
                                        <td class="center"><?php echo ($post->type == 1 ? Text::_('COM_JFBCONNECT_POST_TYPE_AUTOPOST_OPTION') : Text::_('COM_JFBCONNECT_POST_TYPE_MANUAL_OPTION'));?></td>
                                        <td class="center"><a href="<?php echo Uri::root() . $post->url; ?>" target="_blank"><?php echo (empty($post->url)?Uri::root():$post->url); ?></a></td>
                                        <td class="center"><?php echo '<img src="' . Uri::root() . '/media/sourcecoast/images/provider/' . strtolower($post->provider) . '/icon.png" />'; ?></td>
                                        <td class="center"><?php echo $post->channel_type;?></td>
                                        <td class="center"><?php echo $post->ext;?></td>
                                        <td class="center"><?php echo $post->layout;?></td>
                                        <td class="center"><?php echo $post->item_id;?></td>
                                        <td class="center">
                                            <?php
                                            if($post->status == 0)
                                                echo '<span class="icon-unpublish" title="'.Text::_('COM_JFBCONNECT_CHANNEL_AUTOPOST_STATUS_FAILED').'"></span>';
                                            else if($post->status == 1)
                                                echo '<span class="icon-publish" title="'.Text::_('COM_JFBCONNECT_CHANNEL_AUTOPOST_STATUS_SUCCESS').'"></span>';
                                            else
                                                echo '<span class="icon-pending" title="'.Text::_('COM_JFBCONNECT_CHANNEL_AUTOPOST_STATUS_PENDING').'"></span>';
                                            ?>
                                        </td>
                                        <td class="center"><?php echo $post->response;?></td>
                                        <td class="center"><?php echo $post->created;?></td>
                                        <td class="center"><?php echo $post->id;?></td>
                                    </tr>
                                <?php endforeach;
                            }
                            ?>
                            </tbody>
                            <tfoot>
                            <tr>
                                <td colspan="13"><?php echo $this->pagination->getListFooter(); ?></td>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>

                <input type="hidden" name="option" value="com_jfbconnect" />
                <input type="hidden" name="view" value="<?php echo $app->input->get('view'); ?>" />
                <input type="hidden" name="task" value="<?php echo $app->input->get('task'); ?>" />
                <input type="hidden" name="search" id="filter_search" value="<?php echo $filter_search;?>" />
                <input type="hidden" name="type" id="filter_type" value="<?php echo $filter_type;?>" />
                <input type="hidden" name="provider" id="filter_provider" value="<?php echo $filter_provider;?>" />
                <input type="hidden" name="formtype" value="autopost_activity" />
                <input type="hidden" name="boxchecked" value="0" />
                <?php echo HTMLHelper::_('form.token'); ?>
            </form>
        </div>
    </div>
</div>