<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

jimport('joomla.application.component.view');
jimport('sourcecoast.adminHelper');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewChannelHistory extends JFBConnectAdminView
{
    var $pagination;
    var $posts;
    var $providers;

    function display($tpl = null)
    {
        $apModel = BaseDatabaseModel::getInstance('Autopost', 'JFBConnectModel');
        $pagination = $apModel->getPagination();
        $this->pagination = $pagination;

        ToolbarHelper::deleteList(Text::_('COM_JFBCONNECT_CHANNEL_POSTACTIVITY_DELETE_CONFIRMATION'), 'channels.deletePost', 'JTOOLBAR_TRASH');

        $this->getActivity();

        parent::display($tpl);
    }

    function addToolbar()
    {
        $title = Text::_('COM_JFBCONNECT_CHANNELHISTORY_TITLE');
        ToolBarHelper::title($title, 'jfbconnect.png');

        SCAdminHelper::addAutotuneToolbarItem();
    }

    function getActivity()
    {
        $apModel = BaseDatabaseModel::getInstance('Autopost', 'JFBConnectModel');
        $this->posts = $apModel->getActivityList();

        $providers = array();
        foreach($this->posts as $post )
        {
            if (!in_array($post->provider, $providers))
                $providers[] = $post->provider;
        }
        $this->providers = $providers;

    }
}
