<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;

$input = Factory::getApplication()->input;
?>
<div class="sourcecoast ns-bs5">
    <form action="index.php" method="post" name="adminForm" id="adminForm">
        <table class="adminlist table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th></th>
                <th class="title"><?php echo Text::_('COM_JFBCONNECT_CHANNEL_TITLE_LABEL') ?></th>
                <th><?php echo Text::_('COM_JFBCONNECT_CHANNEL_PROVIDER_LABEL'); ?></th>
                <th><?php echo Text::_('COM_JFBCONNECT_CHANNEL_TYPE_LABEL'); ?></th>
                <th><?php echo Text::_('JPUBLISHED'); ?></th>
                <th><?php echo Text::_('JGLOBAL_MODIFIED'); ?></th>
                <th><?php echo Text::_('COM_JFBCONNECT_CHANNEL_ID_LABEL'); ?></th>
            </tr>
            </thead>
            <tbody>
            <?php
            $key = 0;
            if ($this->items && count($this->items) > 0)
            {

                foreach ($this->items as $channel) :
                    $key++;
                    ?>
                    <tr class="row<?php echo($key % 2); ?>">
                        <td><?php echo $key; ?></td>
                        <td><?php echo $checked = HTMLHelper::_('grid.id', $key, $channel->id); ?></td>
                        <td>
                            <a href="<?php echo Route::_('index.php?option=com_jfbconnect&task=channel.edit&id=' . $channel->id); ?>"><?php echo $channel->title; ?></a>
                        </td>
                        <?php
                        $image = $channel->provider == "--" ? '' : '<img src="'.Uri::root() . '/media/sourcecoast/images/provider/' . $channel->provider . '/icon.png" title="'.ucfirst($channel->provider).'" />';
                        ?>
                        <td class="center"><?php echo $image;?></td>
                        <td class="center"><?php echo ucwords($channel->type) ?></td>
                        <td class="center"><?php echo HTMLHelper::_('jgrid.published', $channel->published, $key, 'channels.') ?></td>
                        <td class="center"><?php echo $channel->modified ?></td>
                        <td class="center"><?php echo $channel->id ?></td>
                    </tr>
                <?php endforeach;
            }
            ?>
            </tbody>
        </table>

        <input type="hidden" name="option" value="com_jfbconnect" />
        <input type="hidden" name="view" value="<?php echo $input->get('view'); ?>" />
        <input type="hidden" name="task" value="<?php echo $input->get('task'); ?>" />
        <input type="hidden" name="formtype" value="channel" />
        <input type="hidden" name="boxchecked" value="0" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>
</div>