<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

jimport('joomla.application.component.view');
jimport('sourcecoast.adminHelper');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewChannels extends JFBConnectAdminView
{
    var $pagination;

    function display($tpl = null)
    {
        $this->items = $this->get('Items');
        $this->state = $this->get('State');

        $apModel = BaseDatabaseModel::getInstance('Autopost', 'JFBConnectModel');
        $pagination = $apModel->getPagination();
        $this->pagination = $pagination;

        ToolBarHelper::addNew('channel.add');
        ToolbarHelper::publish('channels.publish', 'JTOOLBAR_PUBLISH', true);
        ToolBarHelper::unpublish('channels.unpublish', 'JTOOLBAR_UNPUBLISH', true);
        ToolbarHelper::deleteList(Text::_('COM_JFBCONNECT_CHANNEL_CHANNEL_DELETE_CONFIRMATION'), 'channels.delete', 'JTOOLBAR_TRASH');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new RuntimeException(implode("\n", $errors), 500);
        }

        parent::display($tpl);
    }

    function addToolbar()
    {
        $title = Text::_('COM_JFBCONNECT_CHANNEL_TITLE');
        ToolBarHelper::title($title, 'jfbconnect.png');

        SCAdminHelper::addAutotuneToolbarItem();
    }

    function getActivity()
    {
        $apModel = BaseDatabaseModel::getInstance('Autopost', 'JFBConnectModel');
        $this->posts = $apModel->getActivityList();
    }
}
