<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Form\Form;

jimport('joomla.application.component.view');
jimport('sourcecoast.adminHelper');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewConfig extends JFBConnectAdminView
{
    function display($tpl = null)
    {
        Form::addFieldPath(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/fields');
        $this->formLoad('config', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/config.xml');
        $this->formBind('config', JFBCFactory::config()->getSettings());
        $this->formLoad('advanced_config', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/advanced_config.xml');
        $this->formBind('advanced_config', JFBCFactory::config()->getSettings());

        parent::display($tpl);
    }

    function addToolbar()
    {
        ToolBarHelper::title(Text::_('COM_JFBCONNECT_CONFIG_TITLE'), 'jfbconnect.png');
        ToolBarHelper::apply('apply', Text::_('COM_JFBCONNECT_BUTTON_APPLY_CHANGES'));
        SCAdminHelper::addAutotuneToolbarItem();
    }
}