<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Session\Session;
use Joomla\CMS\HTML\HTMLHelper;

jimport('joomla.version');
jimport('sourcecoast.adminHelper');

$token    = Session::getFormToken() . '=' . 1;
$ajaxUrl = Uri::base() . 'index.php?option=com_installer&view=update&task=update.ajax&' . $token;
$script = "var jfbconnect_update_ajax_url = '$ajaxUrl';\n";
$script .= 'var jfbconnect_update_text = {"UPTODATE" : "' . Text::_('COM_JFBCONNECT_UPDATES_UPDATE_TEXT') . '",
    "UPDATEFOUND": "' . Text::_('COM_JFBCONNECT_UPDATES_UPDATE_FOUND') . '",
    "ERROR": "' . Text::_('COM_JFBCONNECT_UPDATES_UPDATE_ERROR') . '"
    };' . "\n";
$extensionId = JFBCFactory::model('updates')->getJfbconnectExtensionId();
$script .= "var jfbconnect_extension_id = '$extensionId';\n";
$script .= "jfbcAdmin.checkForUpdate();";
$document = Factory::getApplication()->getDocument();
$document->addScriptDeclaration($script);

$configModel = $this->configModel;
$autotuneModel = $this->autotuneModel;
$usermapModel = $this->usermapModel;
$userCounts = $this->userCounts;
$feed = $this->getFeed();
?>
<style>
    .sourcecoast .quick-icons .nav {
        grid-template-columns: repeat(auto-fit,minmax(100px,1fr)) !important;
    }

    .sourcecoast .quick-icons .quickicon-info,
    .sourcecoast .quick-icons .quickicon-name {
        justify-content: center;
    }
</style>
<div class="sourcecoast ns-bs5">
    <div class="row column-flex">
        <div class="col-md-7">
            <div class="card mb-3 ">
                <div class="card-header">
                    <h2>
                        <?php echo Text::_('COM_JFBCONNECT_OVERVIEW_GENERAL'); ?>
                    </h2>
                </div>
                <div class="card-body">
                    <nav class="quick-icons jfbcControlIcons px-3 pb-3" aria-label="<?php echo Text::_('COM_JFBCONNECT_OVERVIEW_GENERAL'); ?>">
                        <ul class="nav flex-wrap">
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=config", "fa fa-cogs fa-2x", Text::_('COM_JFBCONNECT_MENU_CONFIGURATION'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=providers", "fa fa-group fa-network-wired fa-2x", Text::_('COM_JFBCONNECT_MENU_PROVIDERS'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=opengraph", "fa fa-address-card fa-2x", Text::_('COM_JFBCONNECT_MENU_OPENGRAPH'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=social", "fa fa-comments fa-2x", Text::_('COM_JFBCONNECT_MENU_SOCIAL'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=profiles", "fa fa-id-badge fa-2x", Text::_('COM_JFBCONNECT_MENU_PROFILES'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=channels", "fa fa-tv fa-2x", Text::_('COM_JFBCONNECT_MENU_CHANNELS'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=channelhistory", "fa fa-history fa-2x", Text::_('COM_JFBCONNECT_MENU_CHANNELHISTORY'));?>
                        </ul>
                    </nav>
                </div>
            </div>
            <div class="card mb-3 ">
                <div class="card-header">
                    <h2>
                        <?php echo Text::_('COM_JFBCONNECT_OVERVIEW_TOOLS'); ?>
                    </h2>
                </div>
                <div class="card-body">
                    <nav class="quick-icons jfbcControlIcons px-3 pb-3" aria-label="<?php echo Text::_('COM_JFBCONNECT_OVERVIEW_TOOLS'); ?>">
                        <ul class="nav flex-wrap">

                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=usermap", "fa fa-sitemap fa-2x", Text::_('COM_JFBCONNECT_MENU_USER_MAP'));?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=autotune", "fa fa-magic fa-2x", SCAdminHelper::getAutotuneControlIconText());?>
                            <?php echo $this->getDashIcon("index.php?option=com_jfbconnect&view=updates", "fa fa-address-card fa-2x", Text::_('COM_JFBCONNECT_OVERVIEW_UPDATES'), "", "jfbconnect_update_icon");?>
                            <?php echo $this->getDashIcon("http://www.sourcecoast.com/forums/", "fa fa-life-ring fa-2x", Text::_('COM_JFBCONNECT_OVERVIEW_SUPPORT'), "_blank");?>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card mb-2 p-2">
                <h4><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_STATISTICS'); ?></h4>
                <?php
                if (count($userCounts) == 0)
                    echo Text::_('COM_JFBCONNECT_OVERVIEW_NO_LOGIN_PROVIDERS_CONFIGURED');
                else
                {
                    foreach ($userCounts as $p => $count)
                    {
                        ?>
                        <div class="row-fluid">
                            <div class="col-md-12">
                                <img src="<?php echo Uri::root() . 'media/sourcecoast/images/provider/' . $p . '/icon.png' ?>" /> <span
                                        style="margin-left:8px; font-size:14px"><a
                                            href="index.php?option=com_jfbconnect&view=usermap&provider=<?php echo $p; ?>"><?php echo $count; ?>
                                        Users</a></span>
                                <?php if ($p == 'facebook')
                                    echo '<span style="margin-left:8px; font-size:12px"><a target="_BLANK" href="http://www.facebook.com/insights/?sk=ao_' . JFBCFactory::provider('facebook')->appId . '">' . Text::_('COM_JFBCONNECT_OVERVIEW_FB_INSIGHTS_LABEL') . '</a></span>';
                                ?>
                            </div>
                        </div>
                        <?php
                    }
                } ?>
            </div>
            <?php if(!empty($feed)) {?>
                <div class="card mb-2 p-2"><?php echo $feed;?></div>
            <?php } ?>
            <div class="card mb-2 p-2">
                <h4><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_ADDITIONAL_INFO_SUPPORT'); ?></h4>
                <ul>
                    <li><a target="_blank"
                           href="http://www.sourcecoast.com/jfbconnect/docs/configuration-guide"><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_JFBC_SETUP_INSTRUCTIONS'); ?></a>
                    </li>
                    <li><a target="_blank"
                           href="https://www.sourcecoast.com/jfbconnect/guides/joomla-social-network-quick-start"><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_QUICK_START');?></a>
                    </li>
                    <li><a target="_blank"
                           href="http://developers.facebook.com/"><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_FB_DEVELOPER_PORTAL'); ?></a></li>
                    <li><a target="_blank"
                           href="http://developers.facebook.com/policy/"><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_FB_PLATFORM_POLICIES'); ?></a>
                    </li>
                </ul>

                <p><?php echo Text::_('COM_JFBCONNECT_OVERVIEW_CHANGELOG_DESC'); ?></p>
            </div>

        </div>
    </div>
</div>
<div style="clear: both"></div>

<form method="post" id="adminForm" name="adminForm">
    <input type="hidden" name="option" value="com_jfbconnect" />
    <input type="hidden" name="task" value="" />
</form>