<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

?>
<style>
    .sourcecoast .nav {
        grid-template-columns: repeat(auto-fit,minmax(250px,1fr)) !important;
        display: grid;
    }

    .sourcecoast .nav .card {
        min-height: 100%;
    }

    .sourcecoast .jfbc-provider-desc { flex: 1}

</style>
<div class="sourcecoast ns-bs5">
    <form method="post" id="adminForm" name="adminForm">
        <div class="row column-flex">
            <div class="col-md-12">
                <div class="card-header">
                    <h2><?php echo Text::_('COM_JFBCONNECT_PROVIDERS_LABEL');?></h2>
                </div>
                <div class="card-body">
                    <ul class="nav flex-wrap">
                        <?php
                        foreach($this->orderedProviders as $systemName => $p)
                        {?>
                            <li class="m-2">
                                <div class="card p-2 column-flex">
                                    <h4><?php echo $p['name'];?></h4>
                                    <div class="jfbc-provider-desc"><?php echo $p['description'];?></div>
                                    <?php
                                    if($p['installed'] && $p['enabled']): ?>
                                        <div class="mt-2 text-left">
                                            <?php echo Text::sprintf('COM_JFBCONNECT_PROVIDERS_COUNT', $p['userCount']);?>
                                        </div>
                                    <?php endif; ?>
                                    <div class="jfbc-provider-btn mt-2 text-center">
                                        <?php
                                        if($p['installed'])
                                        {
                                            if($p['enabled'])
                                            {
                                                ?>
                                                <div class="mt-2">
                                                    <a class="btn btn-secondary disabled">
                                                        <?php echo Text::_('COM_JFBCONNECT_PROVIDERS_ENABLED');?>
                                                    </a>
                                                    <a class="btn btn-primary" href="index.php?option=com_jfbconnect&view=providers&layout=provider&provider=<?php echo $systemName?>">
                                                        <?php echo Text::_('COM_JFBCONNECT_PROVIDERS_CONFIGURE');?>
                                                    </a>
                                                </div>
                                                <?php
                                            }
                                            else
                                                echo '<a class="btn btn-primary" onclick="jfbcAdmin.providers.enablePlugin(\'provider_' . $systemName . '\', 1)">'.Text::_('COM_JFBCONNECT_PROVIDERS_ENABLE').'</a>';
                                        }
                                        else
                                        {
                                            echo '<a class="btn btn-warning" href="' . $p["link"] . '" title="'.Text::_('COM_JFBCONNECT_PROVIDERS_INSTALL').'" target="_blank">'.Text::_('COM_JFBCONNECT_PROVIDERS_INSTALL').'</a>';
                                        }
                                        ?>
                                    </div>
                                </div>

                            </li>
                        <?php }?>
                    </ul>
                </div>
            </div>
        </div>
        <input type="hidden" name="option" value="com_jfbconnect" />
        <input type="hidden" name="controller" value="providers" />
        <input type="hidden" name="task" value="" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>
</div>