<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Factory;

$input = Factory::getApplication()->input;
$p = $input->get('provider', '');
$configPath = JPATH_SITE . '/plugins/jfbconnect/provider_'. strtolower($p).'/provider/'. strtolower($p) . '/config/';
JFBConnectUtilities::loadLanguage('plg_jfbconnect_provider_' . strtolower($p), JPATH_ADMINISTRATOR);

?>
<div class="sourcecoast ns-bs5">
    <form method="post" id="adminForm" name="adminForm" class="form-horizontal">
        <?php
        $this->tabsStart('myTab', 'config_' . $p);

        $provider = $this->allProviders[$p]['name'];
        $tabName = Text::sprintf('COM_JFBCONNECT_CONFIG_MENU_PROVIDER_API', $provider);
        $this->tabStart('myTab', 'config_' . $p, $tabName);
        $this->formDisplay($p);
        $this->tabEnd();

        //Config already displayed. Tabs can be empty
        if ($this->tabs && array_key_exists($p, $this->tabs)) {
            foreach ($this->tabs[$p] as $tab) {
                $tabName = $p . '_' . $tab;
                $this->tabStart('myTab', $tabName, Text::sprintf('COM_JFBCONNECT_' . $tabName . '_MENU'));

                $this->formDisplay($tabName);
                $this->tabEnd();
            }
        }

        $this->tabStart('myTab', 'social_examples', Text::_('COM_JFBCONNECT_SOCIAL_MENU_EXAMPLES'));
        $this->setLayout('examples');
        echo $this->loadTemplate();
        $this->tabEnd();

        $this->tabsEnd();
        ?>

        <input type="hidden" name="option" value="com_jfbconnect" />
        <input type="hidden" name="controller" value="config" />
        <input type="hidden" name="cid[]" value="0" />
        <input type="hidden" name="task" value="" />
        <?php echo HTMLHelper::_('form.token'); ?>

    </form>
</div>