<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

jimport('joomla.filesystem.folder');
if (JVERSION < 4.0)
{
    HTMLHelper::_('behavior.tooltip');
}
$model = $this->model;
$k2IsInstalled = JFBConnectUtilities::isJoomlaComponentEnabled('com_k2');
$app = Factory::getApplication();

$provider = $this->filter_provider;
$task = $app->input->get('task', '', 'post');
if(!empty($task)) { $provider = '';}
?>
<div class="sourcecoast ns-bs5">
    <form method="post" id="adminForm" name="adminForm">
        <?php
        $this->tabsStart('contentTabs', 'social_content_comment');

        $this->tabStart('contentTabs', 'social_content_comment', Text::_('COM_JFBCONNECT_SOCIAL_MENU_CONTENT_COMMENTS'));
        $this->formDisplay('social_content_comment');
        $this->tabEnd();

        $this->tabStart('contentTabs', 'social_content_like', Text::_('COM_JFBCONNECT_SOCIAL_MENU_CONTENT_LIKE'));
        $this->formDisplay('social_content_like');
        $this->tabEnd();

        if ($k2IsInstalled)
        {
            $this->tabStart('contentTabs', 'social_content_k2_comment', Text::_('COM_JFBCONNECT_SOCIAL_MENU_CONTENT_K2_COMMENTS'));
            $this->formDisplay('social_content_k2_comment');
            $this->tabEnd();

            $this->tabStart('contentTabs', 'social_content_k2_like', Text::_('COM_JFBCONNECT_SOCIAL_MENU_CONTENT_K2_LIKE'));
            $this->formDisplay('social_content_k2_like');
            $this->tabEnd();
        }

        $this->tabStart('contentTabs', 'social_notifications', Text::_('COM_JFBCONNECT_SOCIAL_MENU_NOTIFICATIONS'));
        $this->formDisplay('social_notifications');
        $this->tabEnd();

        $this->tabStart('contentTabs', 'social_misc', Text::_('COM_JFBCONNECT_SOCIAL_MENU_MISC'));
        $this->formDisplay('social_misc');
        $this->tabEnd();

        $this->tabsEnd();
        ?>

        <input type="hidden" name="option" value="com_jfbconnect" />
        <input type="hidden" name="controller" value="social" />
        <input type="hidden" name="cid[]" value="0" />
        <input type="hidden" name="task" value="" />
        <?php echo HTMLHelper::_('form.token'); ?>

    </form>
</div>
<script type="text/javascript">
    function showHideSettings(settingsId, selectors)
    {
        var hide = true;
        jfbcJQuery.each(selectors, function (i, selector)
            {
                if (jfbcJQuery("select[name=" + selector + "]").val() != "0")
                    hide = false;
            }
        );
        if (hide)
            jfbcJQuery("#" + settingsId).css("display", "none");
        else
            jfbcJQuery("#" + settingsId).css("display", "block");
    }
    ;

    var selectNames = {
        'social_comment_article_settings': ['social_comment_article_view'],
        'social_comment_blog_settings': ['social_comment_frontpage_view', 'social_comment_category_view'],
        'social_like_article_settings': ['social_like_article_view'],
        'social_like_blog_settings': ['social_like_frontpage_view', 'social_like_category_view'],
        'social_k2_comment_item_settings': ['social_k2_comment_item_view'],
        'social_k2_comment_blog_settings': ['social_k2_comment_category_view', 'social_k2_comment_tag_view', 'social_k2_comment_userpage_view', 'social_k2_comment_latest_view'],
        'social_k2_like_item_settings': ['social_k2_like_item_view'],
        'social_k2_like_blog_settings': ['social_k2_like_category_view', 'social_k2_like_tag_view', 'social_k2_like_userpage_view', 'social_k2_like_latest_view']
    };

    jfbcJQuery(document).ready(function ()
    {
        jfbcJQuery.each(selectNames, function (settingsId, selectors)
        {
            jfbcJQuery.each(selectors, function (i, selector)
            {
                showHideSettings(settingsId, selectors);
                jfbcJQuery("select[name=" + selector + "]").change(function ()
                {
                    showHideSettings(settingsId, selectors);
                });
            });
        });
    });

</script>