<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

 // Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Form\Form;

jimport('joomla.application.component.view');
jimport('sourcecoast.adminHelper');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewSocial extends JFBConnectAdminView
{
    var $model;
    var $filter_provider;
    var $show_pinterest;

    function display($tpl = null)
    {
        $fbProvider = JFBCFactory::provider('facebook');
        if(!$fbProvider)
        {
            Factory::getApplication()->enqueueMessage(Text::_('COM_JFBCONNECT_MSG_FBWIDGETS_NOTFOUND'), 'warning');
        }

        $this->model = JFBCFactory::config();
        $this->filter_provider = Factory::getApplication()->input->get('filter_provider');
        $this->show_pinterest = JFBCFactory::provider('pinterest') != null;

        Form::addFieldPath(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/fields');

        $this->formLoad('social_content_comment', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/social_content_comments.xml');
        $this->formBind('social_content_comment', JFBCFactory::config()->getSettingsByPrefix('social_comment'));
        $this->formLoad('social_content_k2_comment', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/social_k2_comments.xml');
        $this->formBind('social_content_k2_comment', JFBCFactory::config()->getSettingsByPrefix('social_k2_comment'));

        $this->formLoad('social_content_like', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/social_content_like.xml');
        $this->formBind('social_content_like', JFBCFactory::config()->getSettingsByPrefix('social_like'));
        $this->formLoad('social_content_k2_like', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/social_k2_like.xml');
        $this->formBind('social_content_k2_like', JFBCFactory::config()->getSettingsByPrefix('social_k2_like'));

        $this->formLoad('social_misc', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/social_misc.xml');
        $this->formBind('social_misc', JFBCFactory::config()->getSettingsByPrefix('social_tag'));

        $this->formLoad('social_notifications', JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models/forms/social_notifications.xml');
        $this->formBind('social_notifications', JFBCFactory::config()->getSettingsByPrefix('social_notification'));

        parent::display($tpl);
    }

    function addToolbar()
    {
        ToolBarHelper::title(Text::_('COM_JFBCONNECT_SOCIAL_TITLE'), 'jfbconnect.png');
        ToolBarHelper::apply('apply', Text::_('COM_JFBCONNECT_BUTTON_APPLY_CHANGES'));
        SCAdminHelper::addAutotuneToolbarItem();
    }
}
