<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;

jimport('joomla.application.component.view');
jimport('sourcecoast.adminHelper');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewUpdates extends JFBConnectAdminView
{
    function display($tpl = null)
    {
        $model = JFBCFactory::model('updates');
        $downloadId = JFBCFactory::config()->get('sc_download_id');

        $xmlElement = simplexml_load_file(JPATH_ADMINISTRATOR.'/components/com_jfbconnect/jfbconnect.xml');
        if($xmlElement)
            $jfbcVersion = (string) $xmlElement->version;
        else
            $jfbcVersion = Text::_('COM_JFBCONNECT_UPDATES_ERROR');


        $jfbcUpdateSite = $model->getUpdateSite();
        if (is_object($jfbcUpdateSite) && $jfbcUpdateSite->enabled)
            $jfbcUpdateSiteEnabled = true;
        else
            $jfbcUpdateSiteEnabled = false;

        $jfbcUpdate = $model->getJfbconnectUpdateId();

        $this->jfbcUpdateSiteEnabled = $jfbcUpdateSiteEnabled;
        $this->jfbcVersion = $jfbcVersion;
        $this->jfbcUpdate = $jfbcUpdate;

        parent::display($tpl);
    }

    function addToolbar()
    {
        ToolBarHelper::title(Text::_('COM_JFBCONNECT'), 'jfbconnect.png');
        SCAdminHelper::addAutotuneToolbarItem();
    }
}
