<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;

jimport('joomla.application.component.view');
jimport('sourcecoast.adminHelper');

require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/includes/views.php');

class JFBConnectViewUsermap extends JFBConnectAdminView
{
    var $pagination;
    var $lists;

    function display($tpl = null)
    {
        $userMapModel = $this->getModel('usermap');
        $pagination = &$userMapModel->getPagination();
        $lists = $this->get('ViewLists', 'usermap');

        $this->pagination = $pagination;
        $this->lists = $lists;

        parent::display($tpl);
    }

    function addToolbar()
    {
        ToolBarHelper::title(Text::_('COM_JFBCONNECT_USERMAP_TITLE'), 'jfbconnect.png');
        SCAdminHelper::addAutotuneToolbarItem();
    }
}
