<?php
/**
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormHelper;

FormHelper::loadFieldClass('list');

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Joomla.Administrator
 * @subpackage	com_categories
 * @since		1.6
 */
class JFormFieldEasyBlogCategories extends JFormFieldList
{
	/**
	 * A flexible category list that respects access controls
	 *
	 * @var		string
	 * @since	1.6
	 */
	public $type = 'EasyBlog Categories';

	/**
	 * Method to get a list of categories that respects access controls and can be used for
	 * either category assignment or parent category assignment in edit screens.
	 * Use the parent element to indicate that the field will be used for assigning parent categories.
	 *
	 * @return	array	The field option objects.
	 * @since	1.6
	 */
	protected function getOptions()
	{
        $db = Factory::getDbo();
        $query = "SELECT ".$db->quoteName('title') ." AS 'text', ".$db->quoteName('id')." AS 'value' FROM #__easyblog_category";

        $db->setQuery($query);
        $options = $db->loadObjectList();

        if(isset($this->element['show_root']))
        {
            $all = new stdClass();
            $all->text = Text::_('JGLOBAL_ROOT');
            $all->value = "0";
            array_unshift($options, $all);
        }

		return $options;
	}
}
