<?php
/**
 * @version		$Id$
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;

FormHelper::loadFieldClass('list');

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Joomla.Administrator
 * @subpackage	com_categories
 * @since		1.6
 */
class JFormFieldJReviewsCategories extends JFormFieldList
{
	/**
	 * A flexible category list that respects access controls
	 *
	 * @var		string
	 * @since	1.6
	 */
	public $type = 'JReviews Categories';

	/**
	 * Method to get a list of categories that respects access controls and can be used for
	 * either category assignment or parent category assignment in edit screens.
	 * Use the parent element to indicate that the field will be used for assigning parent categories.
	 *
	 * @return	array	The field option objects.
	 * @since	1.6
	 */
	protected function getOptions()
	{
        $db = Factory::getDbo();
        $db->setQuery("SELECT jc.title AS `text`, jc.id AS `value` FROM #__categories jc INNER JOIN #__jreviews_categories jr ON jr.id = jc.id;");
        $messages = $db->loadObjectList();

        $options = array('- Select Category -');
        if($messages != null)
        {
            foreach($messages as $message)
            {
                $options[] = HTMLHelper::_('select.option', $message->value, $message->text);
            }
        }

        $options = array_merge(parent::getOptions() , $options);

		return $options;
	}
}
