<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('checkboxes');

class JFormFieldChannels extends JFormFieldCheckboxes
{
    public $type = 'Channels';

    protected function getOptions()
    {
        BaseDatabaseModel::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/models');
        $model = BaseDatabaseModel::getInstance('Channels', 'JFBConnectModel');
        $channels = $model->getChannels(array('published' => 1));

        $options = array();

        foreach ($channels as $option)
        {
            // Create a new option object based on the <option /> element.
            $tmp = HTMLHelper::_('select.option', $option->id, $option->title, 'value', 'text');
            $tmp->checked = false;

            // Add the option object to the result set.
            $options[] = $tmp;
        }

        reset($options);

        return $options;
    }

    protected function getLabel()
    {
        if (count($this->getOptions()) == 0)
            return "<label><strong>There are no Social Channels configured and published to display</strong></label>";

        return parent::getLabel();
    }
}
