<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

HTMLHelper::_('jquery.framework');

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldProviderList extends JFormFieldList
{
    public $type = 'ProviderList';

    protected function getOptions()
    {
        require_once(JPATH_ROOT.'/components/com_jfbconnect/libraries/factory.php');

        $providers = JFBCFactory::getAllProviders();

        $options = array();
        $options[] = HTMLHelper::_('select.option', "provider", "--Select your provider--");
        foreach ($providers as $provider)
        {
            $options[] = HTMLHelper::_('select.option', $provider->systemName, $provider->name);
        }
        return $options;
    }

    protected function getInput()
    {
        Factory::getApplication()->getDocument()->addScript('components/com_jfbconnect/assets/js/jfbcadmin-template.js');
        Factory::getApplication()->getDocument()->addScript('components/com_jfbconnect/assets/jfbconnect-admin.js');
        Factory::getApplication()->getDocument()->addScriptDeclaration('var sc_modid = "' . Factory::getApplication()->input->getInt('id') . '";');
        if (count($this->getOptions()) == 0)
            return "";

        //if ($this->value != "provider")
        //    Factory::getApplication()->getDocument()->addScriptDeclaration("jfbcJQuery(document).ready(function() { jfbcAdmin.scsocialwidget.fetchWidgets('" . $this->value . "'); });");
        return parent::getInput();
    }

    protected function getLabel()
    {
        if (count($this->getOptions()) == 0)
            return "<label>There are no Social Providers available</label>";

        return parent::getLabel();
    }
}
