<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldSocialProfilesEasySocialProfileTypes extends JFormFieldList
{
    public $type = 'SocialProfilesEasySocialProfileTypes';

    protected function getOptions()
    {
        require_once(JPATH_ROOT . '/administrator/components/com_easysocial/includes/foundry.php');

        $model = Foundry::model('profiles');

        $profileTypes = $model->getProfiles();

        $options = array();
        foreach ($profileTypes as $p)
            $options[] = HTMLHelper::_('select.option', $p->id, $p->title);

        return $options;
    }
}
