<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldSocialProfilesJomSocialProfileTypes extends JFormFieldList
{
    public $type = 'SocialProfilesJomSocialProfileTypes';

    protected function getOptions()
    {
        include_once(JPATH_SITE . '/components/com_community/libraries/core.php');

        $profileModel = CFactory::getModel('profile');
        $profileTypes = $profileModel->getProfileTypes();

        $options = array();
        $options[] = HTMLHelper::_('select.option', "0", "Default");
        foreach ($profileTypes as $p)
            $options[] = HTMLHelper::_('select.option', $p->id, $p->name);

        return $options;
    }
}
