<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

HTMLHelper::_('jquery.framework');

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldWidgetList extends JFormField
{
    public $type = 'WidgetList';

    protected function getInput()
    {
        Factory::getApplication()->getDocument()->addScript('components/com_jfbconnect/assets/js/jfbcadmin-template.js');
        Factory::getApplication()->getDocument()->addScript('components/com_jfbconnect/assets/jfbconnect-admin.js');

        $modProvider = $this->form->getValue('params.provider_type');
        $widgets = JFBCFactory::getAllWidgets($modProvider);

        $options = array();
        $options[] = HTMLHelper::_('select.option', "widget", "--Select your widget--");
        foreach ($widgets as $widget)
        {
            $options[] = HTMLHelper::_('select.option', $widget->getSystemName(), $widget->getName());
        }

        $html = HTMLHelper::_('select.genericlist', $options, 'jform[params][widget_type]', 'class="custom-select" onchange="jfbcAdmin.scsocialwidget.fetchSettings(this.value);"', 'value', 'text', $this->form->getValue('params.widget_type'));
        return '<div id="widget_list">' . $html . '</div>';
    }

    protected function getLabel()
    {
        return '';
    }
}
