<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;

class JFBConnectControllerAccount extends JFBConnectController
{
    function display($cachable = false, $urlparams = false)
    {
        if(Factory::getUser()->guest)
            return;

        parent::display();
    }

    // User is choosing to unlink a user map for a given provider
    public function unlink()
    {
        Session::checkToken( 'get' ) or die( 'Invalid Token' );

        $app = Factory::getApplication();
        $provider = $app->input->getString('provider', '');
        $user = Factory::getUser();
        $userModel = JFBConnectModelUserMap::getUser($user->get('id'), $provider);
        $provider_user_id = $userModel->getProviderUserId($user->get('id'), $provider);

        $userModel->deleteMapping($provider_user_id, $provider);

        JFBCFactory::log(Text::sprintf('COM_JFBCONNECT_ACCOUNT_LINKED_ACCOUNTS_UNLINK_MESSAGE', $provider));

        $this->setRedirect(Route::_('index.php?option=com_jfbconnect&view=account'));
    }
}
