<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;

class JFBConnectControllerAjax extends JFBConnectController
{
    function display($cachable = false, $urlparams = false)
    {
        // Not to be called directly
        Factory::getApplication()->exit(0);
    }

    public function fetch()
    {
        if (!Session::checkToken('get'))
            exit;

        $input = Factory::getApplication()->input;
        $library = $input->getCmd('library', null);
        $subtask = $input->getCmd('subtask', null);
        if ($library && $subtask)
        {
            $lib = JFBCFactory::library($library);
            $task = 'ajax' . ucfirst($subtask);
            $result = $lib->$task();
        }
        exit;
    }

    /**
     * Obtain the SEF URL for provided base64_encoded url parameter.
     * Needed primarily for admin area to get SEF URLs from front-end
     */
    function sef()
    {
        $input = Factory::getApplication()->input;
        $url = $input->getBase64('url');
        $url = base64_decode($url);
        $route = Route::_( $url, true, -1); /* NOTE: -1 value makes this an absolute URL */

        echo $route;
        Factory::getApplication()->close(0);
    }

}
