<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Cache\Cache;

class JFBConnectCache
{
    protected $cache;

    public function __construct()
    {
        $options = array ( 'cachebase' => JPATH_ROOT.'/cache',
            'defaultgroup' => 'com_jfbconnect');

        //$this->cache = Factory::getCache('com_jfbconnect', $options);
        $this->cache = Cache::getInstance('', $options);

        // Only enable caching if Debug Mode is off
        $debug = JFBCFactory::config()->get('facebook_display_errors');
        $cacheTimeout = JFBCFactory::config()->get('cache_duration');

        $this->cache->setCaching(!$debug && $cacheTimeout != 0);
        $this->cache->setLifeTime($cacheTimeout);
    }

    public function store($value, $name)
    {
        $this->cache->store($value, $name);
    }

    public function get($name)
    {
        return $this->cache->get($name);
    }

    public function clear($name)
    {
        $this->store(false, $name);
    }

}