<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\Log\Log;

class JFBConnectDebug
{
    protected $text_file = 'jfbconnect.log';
    protected $debug = 0; // 0 - Off, 1 - Logging only, 2 - Logging and display in frontend

    public function __construct($options = array())
    {
        $this->debug = intval(JFBCFactory::config()->get('facebook_display_errors'));
        $this->text_file = isset($options['text_file']) ? $options['text_file'] : $this->text_file;

        if($this->debug)
            Log::addLogger(array('text_file' => $this->text_file), Log::ALL, 'jfbconnect');
    }

    public function add($msg = '', $type = 'message', $debug = false)
    {
        if(empty($msg)) return; // do nothing if empty

        // show message if either "Debug Mode" is 2; or show message if $debug is false
        if($this->debug === 2 || !$debug)
            Factory::getApplication()->enqueueMessage($msg, $type);

        // logged only if "Debug Mode" is either 1 or 2
        if($this->debug)
        {
            $const = 'Log::' . strtoupper($type);
            $priority = !defined($const) ? Log::INFO : constant($const);
            Log::add($msg, $priority, 'jfbconnect');
        }
    }
}