<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\Registry\Registry;

class JFBConnectPoint extends Registry
{
    public function award()
    {
        $data = $this->getData();
        if ($data)
            Factory::getApplication()->triggerEvent('onSocialprofilesAwardPoints', $data);
    }

    public function remove($path = null)
    {
        $data = $this->getData();
        if ($data)
            Factory::getApplication()->triggerEvent('onSocialprofilesRemovePoints', $data);
    }

    private function getData()
    {
        $data = array();
        $name = $this->get('name', '');
        $key = $this->get('key', '');
        if (!$name || !$key)
            return null;

        $data['name'] = $name;
        $data['data'] = $this;
        return $data;
    }
}