<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;


$colClass = (JFBCFactory::config()->get('bootstrap_css') == "1") ? 'span' : 'col-md-';

$message = $this->makeClickableLinks($this->message);

echo
'<div class="facebook ' . $this->channelType . ' post row">
   <div class="'.$colClass.'12 author">';
        if ($stream->options->get('show_provider'))
        {
            echo '<div class="provider">';
            if($stream->options->get('show_post'))
                echo '<a href="'.$this->link.'" target="_blank">';
            echo '<img src="' . Uri::root(true) . '/media/sourcecoast/images/provider/facebookbusiness/icon.png" alt="Facebook Business Login"/>';
            if($stream->options->get('show_post'))
                echo '</a>';
            echo '</div>';
        }
        echo '<div class="author-details">';
        if($this->authorID)
        {
            echo '<div class="author-image"><img src="'.JFBCFactory::provider('facebookbusiness')->profile->getAvatarUrl($this->authorID,false,null).'" alt="Author"/></div>
                <span class="screen-name">' . $this->authorScreenName . '</span>';
        }
        if ($stream->options->get('show_date'))
            echo '<div class="date">' . $date . '</div>';
        echo "</div>";
   echo '</div>';

echo '<div class="col-md-12">
  <div class="message '.$colClass.'12">' . $message . '</div>';
if($stream->options->get('show_post'))
    echo '<div class="link '.$colClass.'12"><a href="'.$this->link.'" target="_blank">'.Text::_('COM_JFBCONNECT_CHANNELS_LINK_TO_POST').'</a></div>';
echo '</div>';

if ($showLink == 'title')
{
    if ($this->thumbTitle != '')
    {
        ?>
        <div class="col-md-12">
            <div class="preview <?php echo $colClass;?>12">
                <div class="title"><a href="<?php echo $this->thumbLink; ?>" target="_blank" rel="nofollow"><?php echo $this->thumbTitle; ?></a></div>
            </div>
        </div>
    <?php
    }
}
else if ($showLink == 'full' && ($hasPageInfo || $hasPicture))
{
    ?>
    <div class="col-md-12">
        <div class="preview <?php echo $colClass;?>12">
            <div class="title"><a href="<?php echo $this->thumbLink; ?>" target="_blank" rel="nofollow"><?php echo $this->thumbTitle; ?></a></div>
            <?php if ($this->thumbPicture)
                echo '<div class="image"><img src="' . $this->thumbPicture . '" alt="Post Thumbnail"/></div>';
            if ($this->thumbCaption)
                echo '<div class="caption"><a href="' . $this->thumbLink . '" target="_blank" rel="nofollow">' . $this->thumbCaption . '</a></div>';
            if ($this->thumbDescription)
                echo '<div class="description"><a href="' . $this->thumbLink . '" target="_blank" rel="nofollow">' . $this->makeClickableLinks($this->thumbDescription) . '</a></div>';
            ?>
        </div>
    </div>
<?php
}
if (is_array($this->comments) && $stream->options->get('show_comments'))
{
    echo '<div class="col-md-12">
      <div class="comments preview '.$colClass.'12">
      <div class="text-center">'.Text::_('COM_JFBCONNECT_CHANNELS_FACEBOOK_COMMENTS').'</div>';

    foreach ($this->comments['data'] as $comment)
    {
        $date = $this->getTimestamp($comment['created_time'], $dateTimeFormat);

        echo '<div class="col-md-12">
          <div class="'.$colClass.'12 comment">
              <div>';
                if(isset($comment['from']['id']))
                    echo '<span class="from text-left"><img src="https://graph.facebook.com/' . $comment['from']['id'] . '/picture" width="25" alt="Comment Thumbnail"/> ' . $comment['from']['name'] . '</span>';
                echo '<span class="date text-right">' . $date . '</span>
              </div>
              <div class="message">' . $comment['message'] . '</div>
        </div>
        </div>';
    }
    echo '</div>
    </div>';
}
echo '</div>';