<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2014-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// no direct access
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Filesystem\File;

jimport('joomla.filesystem.file');
if (!File::exists(JPATH_ROOT . '/components/com_jfbconnect/libraries/factory.php'))
{
    echo "JFBConnect not found. Please reinstall.";
    return;
}

if (!class_exists('JFBCFactory'))
{
    echo "JFBConnect not enabled. Please enable.";
    return;
}

require_once(dirname(__FILE__) . '/helper.php');
$helper = new modSCSocialFindUsHelper($params);

$renderKey = JFBCFactory::config()->get('social_tag_admin_key');
$renderKeyString = " key=".$renderKey;

$document = Factory::getApplication()->getDocument();
$document->addStyleSheet(Uri::base() . 'modules/mod_scsocialfindus/assets/style.css');

$orientation = $params->get('orientation');
$position = $params->get('position');
$margin = $params->get('margin');
$padding = $params->get('padding');
$backgroundColor = $params->get('background_color');
$floatTop = trim($params->get('float_position_top'));
$floatLeft = trim($params->get('float_position_left'));

//Advanced
$userIntro = $params->get('user_intro');

//Facebook
$facebookLink = $params->get('facebook_url');

//Twitter
$twitterLink = $params->get('twitter_url');

//LinkedIn
$linkedinLink = $params->get('linkedin_url');

//Pinterest
$pinterestLink = $params->get('pinterest_url');

//Flickr
$flickrLink = $params->get('flickr_url');

//RSS
$rssLink = $params->get('rss_url');

//YouTube
$youTubeLink = $params->get('youtube_url');

//Instagram
$instagramLink = $params->get('instagram_url');


if($position == 'fixed') //Float
{
    $groupStyles = 'position: ' . $position .";";

    if(intval($floatTop) < 3000)
    {
        $floatTop = $helper->addPxToString($floatTop == '' ? "0" : $floatTop);
        $groupStyles .= 'top:'.$floatTop . ";";
    }
    else // Float to bottom instead of offset
        $groupStyles .= 'bottom:0px;';

    if(intval($floatLeft) < 3000)
    {
        $floatLeft = $helper->addPxToString($floatLeft == '' ? "0" : $floatLeft);
        $groupStyles .= 'left:'.$floatLeft . ";";
    }
    else // Float to right instead of offset
        $groupStyles .= 'right:0px;';

}
else
    $groupStyles = '';

$width = 0;
if(!empty($facebookLink)) $width += 32;
if(!empty($instagramLink)) $width += 32;
if(!empty($twitterLink)) $width += 32;
if(!empty($linkedinLink)) $width += 32;
if(!empty($pinterestLink)) $width += 32;
if(!empty($flickrLink)) $width += 32;
if(!empty($rssLink)) $width += 32;
if(!empty($youTubeLink)) $width += 32;
$groupStyles .= $orientation == "vertical" ? 'width: 32px;' : "width: {$width}px;";

$groupStyles .= $orientation == "vertical" ? "height: {$width}px;" : "height: 32px;";

if($margin != '')
    $groupStyles .= 'margin:'.$helper->addPxToString($margin).";";
if($padding != '')
    $groupStyles .= 'padding:'.$helper->addPxToString($padding).";";
if($backgroundColor != '')
    $groupStyles .= 'background-color:'.$backgroundColor.';';

require(ModuleHelper::getLayoutPath('mod_scsocialfindus'));
?>
