<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// no direct access
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\Registry\Registry;
use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Filesystem\File;

jimport('joomla.filesystem.file');
if (!File::exists(JPATH_ROOT . '/components/com_jfbconnect/libraries/factory.php'))
{
    echo "JFBConnect not found. Please reinstall.";
    return;
}

if (!class_exists('JFBCFactory'))
{
    echo "JFBConnect not enabled. Please enable.";
    return;
}

JFBConnectUtilities::loadLanguage('com_jfbconnect');

$channels = $params->get('channel_id');
if (!is_array($channels))
    $channels = explode(',', $channels);

$options = new Registry();
$options->set('show_provider', $params->get('show_provider'));
$options->set('show_date', $params->get('show_date'));
$options->set('show_link', $params->get('show_link'));
$options->set('show_post', $params->get('show_post'));
$options->set('show_comments', $params->get('show_comments'));
$options->set('post_limit', $params->get('post_limit'));
$options->set('datetime_format', $params->get('datetime_format'));
//$options->set('datetime_format', Text::_('DATE_FORMAT_LC2'));
$stream = new JFBConnectStream($options, $channels);

$height = $params->get('height');
if(strpos($height, "px")===false)
    $height .= "px";

$heightStyle = ($height!='px'? ' style="height:'.$height.';overflow:auto;padding:2px;"':'');

require(ModuleHelper::getLayoutPath('mod_scsocialstream'));

?>
