<?php
/**
 * @package         SourceCoast Extensions
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Filesystem\File;

jimport('joomla.plugin.plugin');
jimport('joomla.filesystem.file');

class JFBConnectPlugin extends CMSPlugin
{
    protected $factoryFile;
    protected $factoryFound;
    public $factoryFileFound;

    function __construct(&$subject, $params)
    {
        $this->factoryFile = JPATH_ROOT . '/components/com_jfbconnect/libraries/factory.php';

        parent::__construct($subject, $params);

        $this->isLoaded();
    }

    protected function isLoaded()
    {
        $this->factoryFileFound = File::exists($this->factoryFile);
        $this->factoryFound = class_exists('JFBCFactory');

        return $this->factoryFileFound && $this->factoryFound;
    }
}