<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.0.0
 * @build-date      2021/06/29
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldCanvasTabTemplate extends JFormFieldList
{
    public $type = 'CanvasTabTemplate';

    var $templateName;
    var $template;
    var $templates;
    var $canvasTabTemplate;
    var $canvasCanvasTemplate;

    protected function getInput()
    {
        $value = JFBCFactory::config()->get($this->template, -1);
        $this->templates = $this->generateTemplateList();
        return HTMLHelper::_('select.genericlist', $this->templates, $this->template, null, 'directory', 'name', $value, $this->template);
    }

    protected function generateTemplateList()
    {
        require_once JPATH_ADMINISTRATOR . '/components/com_templates/helpers/templates.php';
        BaseDatabaseModel::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_templates/models');
        $templatesModel = BaseDatabaseModel::getInstance('Styles', 'TemplatesModel');
        $allTemplates = $templatesModel->getItems();
        $templates = array();
        foreach ($allTemplates as $template)
        {
            if ($template->client_id == 0)
            {
                // Make it the same as J15 so we can use the same selectlist
                $template->directory = $template->id;
                $template->name = $template->title;
                $templates[] = $template;
            }
        }

        // Add the "Don't Override" option to set no special template
        $defaultTemplate = new stdClass();
        $defaultTemplate->directory = -1;
        $defaultTemplate->name = Text::_('COM_JFBCONNECT_CANVAS_DISPLAY_TEMPLATE_DEFAULT');
        array_unshift($templates, $defaultTemplate);

        return $templates;
    }
}