<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release 9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldPagetabCheck extends JFormFieldText
{
    public $type = 'PagetabCheck';

    protected function getInput()
    {
        require_once(JPATH_ADMINISTRATOR . '/components/com_jfbconnect/controllers/canvas.php');
        $canvasProperties = JFBConnectControllerCanvas::setupCanvasProperties();

        $tabReady = true;
        $tabName = $canvasProperties->get('page_tab_default_name', "");
        if (!$tabName) {
            $tabName = '<span style="color:#FF4444"><b>' . Text::_('COM_JFBCONNECT_CANVAS_WARNING_NOT_SET') . '</b></span>';
            $tabReady = false;
        }
        $secureTabUrl = $canvasProperties->get('secure_page_tab_url', "");
        if (!$secureTabUrl) {
            $secureTabUrl = '<span style="color:#FF4444"><b>' . Text::_('COM_JFBCONNECT_CANVAS_WARNING_NOT_SET') . '</b></span>';
            $tabReady = false;
        }

        $websiteUrl = $canvasProperties->get('website_url', '');

        $response = "";
        if ($tabReady) {
            $response .= Text::_('COM_JFBCONNECT_CANVAS_PAGE_TAB_CONFIG_DESC') .
                '<a href="https://www.facebook.com/dialog/pagetab?app_id=' . JFBCFactory::provider('facebook')->appId . '&display=popup&next=' . $websiteUrl . '" ' .
                'target="_BLANK">' . Text::_('COM_JFBCONNECT_CANVAS_PAGE_TAB_CONFIG_DESC1') . '</a>';
        } else {
            $response .= Text::_('COM_JFBCONNECT_CANVAS_PAGE_TAB_CONFIG_DESC2');
        }

        $response .= "<br/><br/><b>".Text::_('COM_JFBCONNECT_PAGETAB_CHECK_CURRENTSETTINGS')."</b>:<br/>".
            Text::_('COM_JFBCONNECT_PAGETAB_CHECK_TABNAME') . $tabName . "<br/>" .
            Text::_('COM_JFBCONNECT_PAGETAB_CHECK_URLTOLOAD') . $secureTabUrl . "<br/><br/>" .
            Text::_('COM_JFBCONNECT_PAGETAB_CHECK_CHANGESETTINGSLINK')."<br/><br/>" .
            Text::_('COM_JFBCONNECT_PAGETAB_CHECK_CONFIGLINK');

        return $response;
    }

}