<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

class JFBConnectProviderFacebookWidgetGroupplugin extends JFBConnectProviderFacebookWidget
{
    var $name = "Group Plugin";
    var $systemName = "groupplugin";
    var $className = "sc_facebookgroupplugin";
    var $tagName = "scfacebookgroupplugin";
    var $examples = array (
        '{SCFacebookGroupPlugin}',
        '{SCFacebookGroupPlugin href=http://www.facebook.com/SourceCoast show_social_context=true show_metadata=false lazy=false skin=dark width=200}'
    );

    protected function getTagHtml()
    {
        $tag = '<div class="fb-group"';
        $tag .= $this->getField('href', 'url', null, '', 'data-href');
        $tag .= $this->getField('width', null, null, '', 'data-width');
        $tag .= $this->getField('show_social_context', null, 'boolean', 'true', 'data-show-social-context');
        $tag .= $this->getField('show_metadata', null, 'boolean', 'true', 'data-show-metadata');
        $tag .= $this->getField('lazy', null, 'boolean', 'true', 'data-lazy');
        $tag .= $this->getField('skin', 'colorscheme', null, '', 'data-skin');

        $tag .= '></div>';
        return $tag;
    }
}
