<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// Check to ensure this file is included in Joomla!
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

class JFBConnectProviderFacebookWidgetSave extends JFBConnectProviderFacebookWidget
{
    var $name = "Save";
    var $systemName = "save";
    var $className = "sc_facebooksave";
    var $tagName = array("jfbcsave","scfacebooksave");
    var $examples = array (
        '{SCFacebookSave}',
        '{SCFacebookSave href=http://www.sourcecoast.com size=large}'
    );

    protected function getTagHtml()
    {
        $tag = '<div class="fb-save"';
        $tag .= $this->getField('href', 'uri', null, JFBConnectUtilities::getStrippedUrl(), 'data-uri');
        $tag .= $this->getField('size', null, null, '', 'data-size');
        $tag .= $this->getField('lazy', null, 'boolean', 'true', 'data-lazy');
        $tag .= '></div>';
        return $tag;
    }
}
