<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldFacebookbusinessGroupList extends JFormFieldList
{
    public $type = 'FacebookGroupList';

    protected function getOptions()
    {
        $options = array();
        $options[] = HTMLHelper::_('select.option', "--", "-- ".Text::_('COM_JFBCONNECT_CHANNEL_FACEBOOK_GROUP_SELECT_LABEL')." --");

        $jid = $this->form->getValue('attribs.user_id');
        $uid = JFBCFactory::usermap()->getProviderUserId($jid, 'facebookbusiness');
        $access_token = JFBCFactory::usermap()->getUserAccessToken($jid, 'facebookbusiness');
        $params['access_token'] = $access_token;
        $groups = JFBCFactory::provider('facebookbusiness')->api('/' . $uid . '/groups/', $params, true, 'GET');

        if (isset($groups['data']) && count($groups['data']) > 0)
        {
            foreach ($groups['data'] as $g)
            {
                $options[] = HTMLHelper::_('select.option', strtolower($g['id']), $g['name']);
            }
        }
        return $options;
    }

    function getInput()
    {
        $jid = $this->form->getValue('attribs.user_id');
        if ($jid)
        {
            $uid = JFBCFactory::usermap()->getProviderUserId($jid, 'facebookbusiness');
            if ($uid)
            {
                /*                if (!JFBCFactory::provider('facebookbusiness')->hasScope($uid, 'groups_access_member_info'))
                                    return '<div class="jfbc-error">'.Text::sprintf('COM_JFBCONNECT_CHANNEL_FACEBOOK_PERM_ERROR_LABEL','groups_access_member_info').'</div>';
                                else */
                if (!JFBCFactory::provider('facebookbusiness')->hasScope($uid, 'publish_to_groups') && $this->form->getValue('attribs.allow_posts'))
                    return '<div class="jfbc-error">' . Text::sprintf('COM_JFBCONNECT_CHANNEL_FACEBOOK_PERM_ERROR_LABEL', 'publish_to_groups') . '</div>';
                else
                    return parent::getInput();
            }
            else
            {
                return '<div class="jfbc-error">'.Text::_('COM_JFBCONNECT_CHANNEL_FACEBOOK_PERM_PAGE_USER_AUTH_ERROR_LABEL').'</div>';
            }

        }
        else
            return '<div class="jfbc-error">'.Text::_('COM_JFBCONNECT_CHANNEL_SELECT_USER_ERROR_LABEL').'</div>';
    }
}