<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\FormHelper;

jimport('joomla.form.helper');
FormHelper::loadFieldClass('list');

class JFormFieldFacebookbusinessPageList extends JFormFieldList
{
    public $type = 'FacebookbusinessPageList';

    protected function getOptions()
    {
        $options = array();
        $options[] = HTMLHelper::_('select.option', "--", "-- ".Text::_('COM_JFBCONNECT_CHANNEL_FACEBOOK_PAGE_SELECT_LABEL')." --");

        $jid = $this->form->getValue('attribs.user_id');
        $uid = JFBCFactory::usermap()->getProviderUserId($jid, 'facebookbusiness');
        $access_token = JFBCFactory::usermap()->getUserAccessToken($jid, 'facebookbusiness');
        $params['access_token'] = $access_token;
        $pages = JFBCFactory::provider('facebookbusiness')->api('/' . $uid . '/accounts?limit=100', $params, true, 'GET');

        if (isset($pages['data']) && count($pages['data']) > 0)
        {
            foreach ($pages['data'] as $p)
            {
                $options[] = HTMLHelper::_('select.option', strtolower($p['id']), $p['name'] . " (" . $p['category'] . ')');
            }
        }

        return $options;
    }

    function getInput()
    {
        $jid = $this->form->getValue('attribs.user_id');
        if ($jid)
        {
            $uid = JFBCFactory::usermap()->getProviderUserId($jid, 'facebookbusiness');
            if ($uid)
            {
                if (!JFBCFactory::provider('facebookbusiness')->hasScope($uid, 'pages_show_list'))
                    return '<div class="jfbc-error">'.Text::sprintf('COM_JFBCONNECT_CHANNEL_FACEBOOK_PERM_ERROR_LABEL','pages_show_list').'</div>';
                else if ($this->form->getValue('attribs.allow_posts') && !JFBCFactory::provider('facebookbusiness')->hasScope($uid, 'pages_manage_posts'))
                    return '<div class="jfbc-error">'.Text::sprintf('COM_JFBCONNECT_CHANNEL_FACEBOOK_PERM_ERROR_LABEL','pages_manage_posts').'</div>';
                else
                    return parent::getInput();
            }
            else
            {
                return '<div class="jfbc-error">'.Text::_('COM_JFBCONNECT_CHANNEL_FACEBOOK_PERM_PAGE_USER_AUTH_ERROR_LABEL').'</div>';
            }

        }
        else
            return '<div class="jfbc-error">'.Text::_('COM_JFBCONNECT_CHANNEL_SELECT_USER_ERROR_LABEL').'</div>';
    }
 }