<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.0.197
 * @build-date      2022/02/01
 */

// no direct access
if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\Registry\Registry;
use Joomla\CMS\Language\Text;

jimport('joomla.filesystem.folder');
jimport('joomla.installer.helper');
jimport('joomla.installer.adapters.plugin');

class Plgjfbconnectprovider_twitterInstallerScript
{
    var $_db;
    var $jfbconnectVersion;
    var $packages = array();

    var $supportedMinimumJoomla = "3.9.0";
    var $supportedJFBConnect = "9.0.0";

    var $installer;

    public function __construct($installer)
    {
        $this->_db = Factory::getDBO();
        $this->installer = $installer;
    }

    public function preflight($type, $parent)
    {
        // Always allow uninstallation
        if ($type == "uninstall")
            return true;

        // Check if Joomla version is correct. Mainly, J2.5 can't be installed on J3.0
        if (version_compare(JVERSION, $this->supportedMinimumJoomla, '<'))
        {
            throw new Exception('JFBConnect requires Joomla '.$this->supportedMinimumJoomla.' or higher. Please upgrade Joomla to the latest stable release to use JFBConnect.');
            return false;
        }

        $jfbcVersion = $this->getJFBConnectVersion();
        if (version_compare($jfbcVersion, $this->supportedJFBConnect, '<'))
        {
            throw new Exception('JFBConnect provider plugins requires JFBConnect '.$this->supportedJFBConnect.' or higher. Please upgrade JFBConnect to the latest stable release to use JFBConnect provider.');
            return false;
        }

        return true;
    }

    private function getJFBConnectVersion()
    {
        $db = Factory::getDbo();
        $query = $db->getQuery(true);
        $query->select('manifest_cache')
            ->from($db->qn('#__extensions'))
            ->where("(" . $db->qn('element') . '=' . $db->q('com_jfbconnect') . ' AND ' .
                $db->qn('enabled') . "= 1)"
            );
        $db->setQuery($query);
        $data = $db->loadObject();

        $reg = new Registry($data->manifest_cache);
        return $reg->get('version');
    }
}