<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$query = "SELECT id, title FROM #__categories";
$db = Factory::getDBO();
$db->setQuery($query);
$cats = $db->loadAssocList();
?>
<dl>
    <dt>
        <label id="params_category-lbl" for="params_category" class="hasTip" title="">Select a category</label>
    </dt>
    <dd>
        <?php echo HTMLHelper::_('select.genericlist', $cats, 'params[category]', '', 'id', 'title', $this->object->params->get('category'), 'params_category')?>
    </dd>
    <dt>
        <label id="params_custom_desc_type-lbl" for="params_custom_desc_type" class="hasTip" title="">Description Type</label>
    </dt>
    <dd>
        <select id="params_custom_desc_type" name="params[custom_desc_type]">
            <option value="custom_desc_meta" <?php echo ($this->object->params->get('custom_desc_type') == 'custom_desc_meta') ? 'selected' : ""; ?>>Meta</option>
            <option value="custom_desc_introwords" <?php echo ($this->object->params->get('custom_desc_type') == 'custom_desc_introwords') ? 'selected' : ""; ?>>Intro Words</option>
            <option value="custom_desc_introchars" <?php echo ($this->object->params->get('custom_desc_type') == 'custom_desc_introchars') ? 'selected' : ""; ?>>Intro Characters</option>
        </select>
    </dd>
    <dt>
        <label id="params_custom_desc_length-lbl" for="params_custom_desc_length" class="hasTip" title="">Description Length</label>
    </dt>
    <dd>
        <input type="text" name="params[custom_desc_length]" id="params_custom_desc_length" value="<?php echo $this->object->params->get('custom_desc_length');?>">
    </dd>
    <dt>
        <label id="params_custom_image_type-lbl" for="params_custom_image_type" class="hasTip" title="">Image Type</label>
    </dt>
    <dd>
        <select id="params_custom_image_type" name="params[custom_image_type]">
            <option value="custom_image_first" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_first') ? 'selected' : ""; ?>>First Article Image</option>
            <option value="custom_image_intro" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_intro') ? 'selected' : ""; ?>>Article Intro Image</option>
            <option value="custom_image_full" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_full') ? 'selected' : ""; ?>>Article Full Image</option>
            <option value="custom_image_category" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_category') ? 'selected' : ""; ?>>Category Image</option>
            <option value="custom_image_custom" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_custom') ? 'selected' : ""; ?>>Custom Image</option>
        </select>
    </dd>
    <dt>
        <label id="params_custom_image_path-lbl" for="params_custom_image_path" class="hasTip" title="">Custom Image Path</label>
    </dt>
    <dd>
        <input type="text" name="params[custom_image_path]" id="params_custom_image_path" value="<?php echo $this->object->params->get('custom_image_path');?>">
    </dd>
</dl>