<?php
/**
 * @package         JFBConnect
 * @copyright (c)   2009-2021 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @build-date      2022/02/01
 */

if (!(defined('_JEXEC') || defined('ABSPATH'))) {     die('Restricted access'); };

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$query = "SELECT `id`, `name` FROM #__k2_categories";
$db = Factory::getDBO();
$db->setQuery($query);
$k2cats = $db->loadAssocList();
?>
<dl>
    <dt>
        <label id="params_category-lbl" for="params_category" class="hasTip" title="">Select a category</label>
    </dt>
    <dd>
        <?php echo HTMLHelper::_('select.genericlist', $k2cats, 'params[category]', '', 'id', 'name', $this->object->params->get('category'), 'params_category');?>
    </dd>
    <dt>
        <label id="params_custom_desc_type-lbl" for="params_custom_desc_type" class="hasTip" title="">Description Type</label>
    </dt>
    <dd>
        <select id="params_custom_desc_type" name="params[custom_desc_type]">
            <option value="custom_desc_meta" <?php echo ($this->object->params->get('custom_desc_type') == 'custom_desc_meta') ? 'selected' : ""; ?>>Meta</option>
            <option value="custom_desc_catwords" <?php echo ($this->object->params->get('custom_desc_type') == 'custom_desc_catwords') ? 'selected' : ""; ?>>Category Words</option>
            <option value="custom_desc_catchars" <?php echo ($this->object->params->get('custom_desc_type') == 'custom_desc_catchars') ? 'selected' : ""; ?>>Category Characters</option>
        </select>
    </dd>
    <dt>
        <label id="params_custom_desc_length-lbl" for="params_custom_desc_length" class="hasTip" title="">Description Length</label>
    </dt>
    <dd>
        <input type="text" name="params[custom_desc_length]" id="params_custom_desc_length" value="<?php echo $this->object->params->get('custom_desc_length');?>">
    </dd>
    <dt>
        <label id="params_custom_image_type-lbl" for="params_custom_image_type" class="hasTip" title="">Image Type</label>
    </dt>
    <dd>
        <select id="params_custom_image_type" name="params[custom_image_type]">
            <option value="custom_image_category" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_category') ? 'selected' : ""; ?>>Category Image</option>
            <option value="custom_image_custom" <?php echo ($this->object->params->get('custom_image_type') == 'custom_image_custom') ? 'selected' : ""; ?>>Custom Image</option>
        </select>
    </dd>
    <dt>
        <label id="params_custom_image_path-lbl" for="params_custom_image_path" class="hasTip" title="">Custom Image Path</label>
    </dt>
    <dd>
        <input type="text" name="params[custom_image_path]" id="params_custom_image_path" value="<?php echo $this->object->params->get('custom_image_path');?>">
    </dd>
</dl>